Subject: Re: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Aug 2010 03:17:04 -0400

> Date: Tue, 17 Aug 2010 07:52:19 +0200
> From: Jan Djärv <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> I think we should add a hook to redisplay that gets called whenever
> selection is non-zero.  Then that hook can do the right thing.

What do you mean by "selection is non-zero"?  Does it mean that region
should be highlighted during this redisplay cycle?  Or does it mean
something else?

And when do you want the hook to be called? at the end of redisplay?
at the beginning? in the middle?

And why a hook? do we want to do in that hook anything except set some
selection, like PRIMARY?  If we only want to set a selection, we can
do that directly.